<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.HostConnectionMethods.TunnelConnectionInfo java.lang.String getRemoteTypeByTrace()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.24978.46&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.HostRunMethods java.lang.Object getStatusWithSuitableRemoteProject(com.jetbrains.gateway.ssh.HighLevelHostAccessor, com.jetbrains.gateway.ssh.deploy.ShellArgument.RemotePath, com.jetbrains.gateway.ssh.deploy.ShellArgument.RemotePath, boolean, kotlin.coroutines.Continuation&lt;? super com.intellij.remoteDev.hostStatus.UnattendedHostStatus&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.HostRunMethods java.lang.Object ensureHostRunningOnProject(com.intellij.openapi.progress.ProgressIndicator, com.jetbrains.gateway.ssh.HostDeployInputs.FullySpecified, com.jetbrains.gateway.ssh.deploy.ShellArgument.RemotePath, com.jetbrains.gateway.ssh.deploy.ShellArgument.RemotePath, java.time.Duration, com.jetbrains.gateway.ssh.deploy.ShellArgument.RemotePath, kotlin.coroutines.Continuation&lt;? super com.intellij.remoteDev.hostStatus.UnattendedHostStatus&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.HostRunMethods">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.HostShutdownMethods java.lang.Object shutdownBackend(com.jetbrains.gateway.ssh.HighLevelHostAccessor, com.jetbrains.gateway.ssh.deploy.ShellArgument.RemotePath, com.jetbrains.gateway.ssh.deploy.ShellArgument.RemotePath, java.lang.Long, boolean, kotlin.coroutines.Continuation&lt;? super kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.14015.106&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.DeployMethods.DownloadPrepareResult java.lang.String component2()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.DeployMethods.DownloadPrepareResult com.jetbrains.gateway.ssh.RemoteHostBackendDownloader getDownloader()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.DeployMethods.DownloadPrepareResult boolean component3()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.DeployMethods">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.DeployMethods.DownloadPrepareResult DownloadPrepareResult(com.jetbrains.gateway.ssh.deploy.ShellArgument.RemotePath, java.lang.String, boolean, com.jetbrains.gateway.ssh.RemoteHostBackendDownloader)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.HostShutdownMethods">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.HostConnectionMethods java.lang.Object connectToUnattendedHost(com.jetbrains.rd.util.lifetime.Lifetime, com.intellij.remoteDev.hostStatus.UnattendedHostStatus, com.jetbrains.gateway.ssh.HighLevelHostAccessor, com.jetbrains.gateway.ssh.deploy.methods.HostConnectionMethods.TunnelConnectionInfo, java.lang.String, com.intellij.remoteDev.downloader.FrontendInstallation, kotlin.coroutines.Continuation&lt;? super com.jetbrains.gateway.thinClientLink.ThinClientHandle&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.HostRunMethods com.intellij.openapi.util.BuildNumber getStartSuspectingMultiProjectsVersion$intellij_gateway_core()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.14015.106&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.DeployMethods.DownloadPrepareResult boolean getShouldCreateLink()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.DeployMethods.DownloadPrepareResult com.jetbrains.gateway.ssh.deploy.ShellArgument.RemotePath getIdePath()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.HostConnectionMethods.TunnelConnectionInfo TunnelConnectionInfo(com.jetbrains.gateway.ssh.HostTunnelConnector, java.lang.String, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.24978.46&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.DeployMethods.DownloadPrepareResult java.lang.String getDownloadHash()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.DeployMethods.DownloadPrepareResult com.jetbrains.gateway.ssh.deploy.methods.DeployMethods.DownloadPrepareResult copy(com.jetbrains.gateway.ssh.deploy.ShellArgument.RemotePath, java.lang.String, boolean, com.jetbrains.gateway.ssh.RemoteHostBackendDownloader)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.HostConnectionMethods">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.HostConnectionMethods.TunnelConnectionInfo">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.DeployMethods.DownloadPrepareResult com.jetbrains.gateway.ssh.RemoteHostBackendDownloader component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.jetbrains.gateway.ssh.deploy.methods.DeployMethods.DownloadPrepareResult com.jetbrains.gateway.ssh.deploy.ShellArgument.RemotePath component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;223.7571.182&quot;"/>
    </annotation>
  </item>
</root>
